uk.ac.starlink.parquet

## Class InputColumns

- java.lang.Object
- - uk.ac.starlink.parquet.InputColumns

-     public class InputColumns
      extends java.lang.Object

  Provides InputColumn instances that know how to read parquet column data.
  Since:
    24 Feb 2021

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `BAD_BYTE`
    `static int` | `BAD_INT`
    `static long` | `BAD_LONG`
    `static short` | `BAD_SHORT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InputColumn<?>` | `createInputColumn(MessageType schema, java.lang.String[] path)` Returns an InputColumn for reading a given column from a parquet file.
    `static InputColumn<java.lang.String>` | `createUnsupportedColumn(ColumnDescriptor cdesc)` Returns an InputColumn instance that is unable to read any data from the parquet file, presumably because of an unsupported data type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BAD_BYTE

          public static final byte BAD_BYTE

      See Also:
        Constant Field Values

    - #### BAD_SHORT

          public static final short BAD_SHORT

      See Also:
        Constant Field Values

    - #### BAD_INT

          public static final int BAD_INT

      See Also:
        Constant Field Values

    - #### BAD_LONG

          public static final long BAD_LONG

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### createInputColumn

          public static InputColumn<?> createInputColumn(MessageType schema,
                                                         java.lang.String[] path)

      Returns an InputColumn for reading a given column from a parquet file.
      Parameters:
        `schema` - table schema
        `path` - table column identifier
      Returns:
        input column reader, or null if the column type is not supported

    - #### createUnsupportedColumn

          public static InputColumn<java.lang.String> createUnsupportedColumn(ColumnDescriptor cdesc)

      Returns an InputColumn instance that is unable to read any data from the parquet file, presumably because of an unsupported data type. The column has a type of String, but always returns null values.
      Parameters:
        `cdesc` - parquet column descriptor
      Returns:
        dummy column